proc NewInti {numero image} {
global v
global conex
global x1_zoom
global y1_zoom
global x2_zoom
global y2_zoom
global size
global flag_skel
global flag_reco
global flag_unroll

set r [toplevel .inti($numero)]


Intinew coco($numero)

set cmd coco($numero)
set flag_skel 0
set flag_reco 0
set flag_unroll 0


image create photo toto($numero) -file $image -palette 256/256/256
if {[expr [image width toto($numero)]]<[expr [image height toto($numero)]]} {
    set widmax [expr [image width toto($numero)]]
} else {
    set widmax [expr [image height toto($numero)]]
}
	    
Imgnew toto($numero)
frame .inti($numero).cadre -bg green -borderwidth 4 -relief ridge
canvas .inti($numero).image \
    -width [expr [image width toto($numero)]] \
    -height [expr [image height toto($numero)]] 
.inti($numero).image create image [expr [image width toto($numero)]/2 +1] [expr [image height toto($numero)]/2 +1] -image toto($numero) 
set x1_zoom($numero) 0 
set y1_zoom($numero) 0
set x2_zoom($numero) [expr [image width toto($numero)] - 1] 
set y2_zoom($numero) [expr [image height toto($numero)] - 1]
pack .inti($numero).image -in .inti($numero).cadre

bind .inti($numero).image <Button-1> "debutfenetre $numero %x %y"
bind .inti($numero).image <B1-Motion> "dessinefenetre $numero %x %y"
bind .inti($numero).image <ButtonRelease-1> "finfenetre $numero %x %y"

label $r.display
##################################################################
label $r.zoom -relief ridge -borderwidth 5 -bg blue
button $r.zo -text "zoom x" -command "magnify $numero"
set nx($numero) 2
scale $r.znb -from 2 -to 8 -variable nx($numero) -orient horizontal
pack $r.zo $r.znb -in $r.zoom -side top -expand true -fill x
##################################################################
##################################################################
label $r.skel -relief ridge -borderwidth 5 -bg blue
label $r.skelab -text "Skeleton scale"
scale $r.skelscale -from 1 -to $widmax -variable scal($numero) \
   -orient horizontal -command "change_skel $numero"
pack $r.skelab $r.skelscale -in $r.skel -side top -expand true -fill x
##################################################################
##################################################################
label $r.gamma -relief ridge -borderwidth 5 -bg blue
label $r.gammalab -text "Gamma correction"
scale $r.gammascale -from 1 -to 5 -variable gamma($numero) \
   -orient horizontal -command "change_gamma $numero" \
    -resolution 0.1
pack $r.gammalab $r.gammascale -in $r.gamma -side top -expand true -fill x
##################################################################

pack $r.gamma $r.zoom $r.skel -in $r.display -side top -expand true -fill x

label $r.menubar

menubutton $r.pref -text "Preferences" -menu $r.pref.menu
set m [menu $r.pref.menu]
$m add cascade -label "Display EDT" -menu $m.sub1
set m1 [menu $m.sub1 -tearoff 0]
$m1 add radio -label "gray" -variable pref(color) -value 0
$m1 add radio -label "color" -variable pref(color) -value 1
$m1 invoke 1
$m add cascade -label "Display micro-labels" -menu $m.sub2
set m2 [menu $m.sub2 -tearoff 0]
$m2 add radio -label "gray" -variable pref(colmlab) -value 0
$m2 add radio -label "color" -variable pref(colmlab) -value 1
$m2 invoke 0
$m add cascade -label "Display reconstruction map" -menu $m.sub3
set m3 [menu $m.sub3 -tearoff 0]
$m3 add radio -label "gray" -variable pref(colreco) -value 0
$m3 add radio -label "color" -variable pref(colreco) -value 1
$m3 invoke 0

menubutton $r.action -text "Action" -menu $r.action.menu
set m [menu $r.action.menu]
$m add command -label "Show Image" -command "show_img $numero"
$m add separator
$m add command -label "Show MACRO-labels" -command "show_Mlabels $numero"
$m add command -label "Show micro-labels" -command "show_mlabels $numero"
$m add separator
$m add command -label "Show D4-Transform" -command "show_dist $numero 4"
$m add command -label "Show D8-Transform" -command "show_dist $numero 8"
$m add command -label "Show D3-4-Transform" -command "show_dist $numero 34"
$m add command -label "Show D5-7-11-Transform" -command "show_dist $numero 5711"
$m add command -label "Show D14-20-31-44-Transform" -command "show_dist $numero 14203144"
$m add command -label "Show Euclidean D-Transform" -command "show_dist $numero 0"
$m add separator
$m add command -label "Propagate MACRO-labels" -command "propagate_Mlabels $numero"
$m add command -label "Propagate micro-labels" -command "propagate_mlabels $numero"
$m add separator
$m add cascade -label "Show Shock function" -menu $m.sub1
set m1 [menu $m.sub1 -tearoff 0]
$m1 add command -label "Geodesic distance" -command "show_diff $numero 1"
$m1 add command -label "L1 distance" -command "show_diff $numero 2"
$m1 add command -label "Angle" -command "show_diff $numero 3"
$m1 add command -label "Product angle x distance" -command "show_diff $numero 4"


$m add separator
$m add command -label "Show skeleton" -command "show_skel $numero"
$m add separator
$m add command -label "Show reconstruction map" -command "show_recomap $numero"
$m add command -label "Show reconstruction" -command "show_reco $numero"
menubutton $r.gene -text "Image" -menu $r.gene.menu
set m [menu $r.gene.menu]
$m add command -label "Save" -command "save $numero"
$m add command -label "Close" -command "close $numero"

pack $r.pref $r.action $r.gene -in $r.menubar -side right

pack $r.menubar -side top

pack $r.cadre $r.display -side left

set_titre $image $numero
update 
}
