#ifndef _SQUEL_
#define _SQUEL_

void Compute_labels(Image<int>& p_original,Image<int>& p_macrolab,Image<int>& p_microlab,int* ListeLABELS);
void Display_mlabels(Image<int>& p_display,Image<int>& p_macrolab,Image<int>& p_microlab,int* ListeLABELS,int pref_color);
void Display_Mlabels(Image<int>& p_display,Image<int>& p_macrolab,int* ListeLABELS);

void Compute_distance(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_sdet);
void Display_distance(Image<int>& p_display,Image<int>& p_sdet,int pref_color);
void Compute_d8(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_sdet);
void Compute_d4(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_sdet);
void Compute_d34(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_sdet);
void Compute_d5711(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_sdet);
void Compute_d14203144(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_sdet);
void Display_d48(Image<int>& p_display,Image<int>& p_sdet,int pref_color);

void Compute_difference(Image<int>& p_macrolab,Image<int>& p_microlab,Image<int>& p_diff,int* ListeLABELS);
void Compute_diff2(Image<int>& p_macrolab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_diff);
void Compute_diff3(Image<int>& p_macrolab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_diff);
void Compute_diff4(Image<int>& p_macrolab,Image<int>& p_Rx,Image<int>& p_Ry,Image<int>& p_diff);
void Display_difference(Image<int>& p_display,Image<int>& p_diff);

void Compute_Skeleton(Image<int>& p_display,Image<int>& p_diff,Image<int>& p_original,int Threshold);

void Compute_reconstruction_old(Image<int>& p_display,Image<int>& p_original,Image<int>& p_diff,Image<int>& p_sedt,int distance,int Threshold);

void Compute_reconstruction(Image<int>& p_display,Image<int>& p_recomap,int Threshold);

void Compute_reconstruction_map(Image<int>& p_recomap,Image<int>& p_original,Image<int>& p_diff,Image<int>& p_sedt,int distance);

void Display_reco(Image<int>& p_display,Image<int>& p_reco,int pref_color);

void Unroll_mlabels(Image<int>& p_display,Image<int>& p_microlab,int Threshold);

#endif
